Bug 219351 - postfix 2.3.3 rejects instead of defers mail when mailbox_command dies with a signal
postfix 2.3.3 rejects instead of defers mail when mailbox_command dies with a...
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Depends On:
  Show dependency treegraph
Reported: 2006-12-12 13:54 EST by David Rees
Modified: 2008-04-04 01:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 01:27:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Rees 2006-12-12 13:54:04 EST
Description of problem:
Postfix 2.3.3 rejects instead of defers mail when mailbox_command dies with a
signal. Previous versions of Postfix (like postfix-2.2.8-1.2 in FC5) correctly
defer mail for later delivery instead of bouncing messages which causes email to
be lost.

Version-Release number of selected component (if applicable):

How reproducible:
Easy to reproduce by configuring mailbox_command to run a command that dies with
a signal (like signal 11 due to a bug in the program).

Steps to Reproduce:
1. Send the configured mailbox_command a signal.
2. Watch postfix bounce the email.
Additional info:
This bug is fixed upstream in postfix 2.3.5. From the 2.3.5 changelog:


       Compatibility with Postfix < 2.3: undo the change to bounce
       instead of defer after pipe-to-command delivery fails with
       a signal. File: global/pipe_command.c.
Comment 1 Thomas Woerner 2007-10-04 11:57:05 EDT
Please have a look at postfix-2.4.5-2.fc6 in FC-6-testing.
Comment 2 David Rees 2007-10-04 14:44:38 EDT
Unfortunately, will be unable to test this as I don't have any FC6 machines any
more, they have all been updated to F7 which doesn't have this issue in package
Comment 3 Bug Zapper 2008-04-04 01:12:50 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 David Rees 2008-04-04 01:27:32 EDT
I'm going ahead and closing this bug WONTFIX since F6 is EOL and F7 fixes the
bug since it has the newer postfix package.

Note You need to log in before you can comment on or make changes to this bug.